# DictImportExport class

(Shortest import: `from brian2.importexport import DictImportExport)`

class brian2.importexport.dictlike.DictImportExport

  Bases: `ImportExport`

  An importer/exporter for variables in format of dict of numpy arrays.

  Attributes

  `name` | Abstract property giving a method name.

  Methods

  `export_data`(group, variables[, units, level]) | Asbtract static export data method with two obligatory parameters.
  `import_data`(group, data[, units, level]) | Import and set state variables.

  Details

  name
  static export_data(group, variables, units=True, level=0)

    Asbtract static export data method with two obligatory parameters. It should return a copy of the current state variable values. The returned arrays are copies of the actual arrays that store the state variable values, therefore changing the values in the returned dictionary will not affect the state variables.

    Parameters:

      group : `Group`

      > Group object.

      variables : list of str

      > The names of the variables to extract.

  static import_data(group, data, units=True, level=0)

    Import and set state variables.

    Parameters:

      group : `Group`

      > Group object.

      data : dict_like

      > Data to import with variable names.